Home

# Class goog.ui.RangeModel

Creates a range model

extends goog.events.EventTarget

Instance Method Summary
| `getExtent() ⇒ number`
| `getMaximum() ⇒ number`
| `getMinimum() ⇒ number`
| `getStep() ⇒ ?number` Returns the step value. The step value is used to determine how to round the value.
| `getValue() ⇒ number`
| `roundToStep(number value) ⇒ number` Rounds to the closest step.
| `roundToStepWithMin(number value) ⇒ number` Rounds to the closest step using the minimum value as the base.
| `setExtent(number extent)` Sets the extent. The extent is the 'size' of the value.
| `setMaximum(number maximum)` Sets the maximum
| `setMinimum(number minimum)` Sets the minimum
| `setMute(boolean muteValue)` Sets the model to mute / unmute.
| `setStep(?number step)` Sets the step. The step value is used to determine how to round the value.
| `setValue(number value)` Sets the value.